Esta consulta es de hace 5 años. Tenga eso en cuenta.
nathoo_f13254
nathoo_f13254
España

En el plugin backups me sale un error: You have an error...

En el plugin backups me sale un error:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-gastos' at line 1

Esto es porque tengo una tabla que contiene un guión. Aunque esto está permitido en mysql, a la hora de hacer consultas hay que ponerlas con comillas inversas (`)

El problema está en el fichero fs_mysql.php. Os paso un parche para corregirlo. Si podéis subirlo en la próxima actualización estaría genial para no andar parcheando ;)

----------------------------------------------------------------------------
--- fs_mysql.php 2015-09-30 12:48:35.665838881 +0200
+++ fs_mysql.php.orig 2015-09-30 12:48:16.393838221 +0200
@@ -179,7 +179,7 @@
public function get_columns($table)
{
$columnas = array();
- $aux = $this->select("SHOW COLUMNS FROM `".$table."`;");
+ $aux = $this->select("SHOW COLUMNS FROM ".$table.";");
if($aux)
{
foreach($aux as $a)
----------------------------------------------------------------------------


Gracias y un saludo
30-09-2015 12:50:22   30-09-2015 13:49:30   29   [NeoRazorX]
Añadido ;-)


Copyright (c) 2013-2020 FacturaScripts